Debian Bug report logs - #600466
squeeze doesn't create tty1 anymore, but is referenced in default config

version graph

Package: lxc; Maintainer for lxc is Daniel Baumann <mail@daniel-baumann.ch>; Source for lxc is src:lxc.

Reported by: daniel@debian.org

Date: Sun, 17 Oct 2010 12:00:04 UTC

Severity: important

Tags: patch

Fixed in version lxc/0.7.3-1

Done: Guido Trotter <ultrotter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guido Trotter <ultrotter@debian.org>:
Bug#600466; Package lxc. (Sun, 17 Oct 2010 12:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Guido Trotter <ultrotter@debian.org>. (Sun, 17 Oct 2010 12:00:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: squeeze doesn't create tty1 anymore, but is referenced in default config
Date: Sun, 17 Oct 2010 13:49:21 +0200
Package: lxc
Severity: normal

Hi,

in squeeze only /dev/tty and /dev/tty0 are created, however, the default
config referes to /dev/tty1 too, so the template should create that device.

sending patch after recieving bug number.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Guido Trotter <ultrotter@debian.org>:
Bug#600466; Package lxc. (Sun, 17 Oct 2010 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Guido Trotter <ultrotter@debian.org>. (Sun, 17 Oct 2010 12:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 600466@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 600466@bugs.debian.org
Subject: Re: squeeze doesn't create tty1 anymore, but is referenced in default config
Date: Sun, 17 Oct 2010 14:02:14 +0200
[Message part 1 (text/plain, inline)]
here's the patch.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/
[squeeze-tty (text/plain, attachment)]

Added tag(s) patch. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 12:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guido Trotter <ultrotter@debian.org>:
Bug#600466; Package lxc. (Mon, 18 Oct 2010 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Guido Trotter <ultrotter@debian.org>. (Mon, 18 Oct 2010 19:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 600466@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 600466@bugs.debian.org
Subject: Re: squeeze doesn't create tty1 anymore, but is referenced in default config
Date: Mon, 18 Oct 2010 21:25:21 +0200
[Message part 1 (text/plain, inline)]
in fact, not just tty1 is needed, but tty1-4, otherwise one hits the
'reaspawns too fast'-trap of inittab, updated patch attached.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/
[0005-Adding-patch-to-create-missing-tty-device-nodes-in-debian-template.patch (text/x-diff, attachment)]

Severity set to 'important' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 19 Nov 2010 12:00:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Guido Trotter <ultrotter@debian.org> to control@bugs.debian.org. (Mon, 06 Dec 2010 15:18:03 GMT) Full text and rfc822 format available.

Reply sent to Guido Trotter <ultrotter@debian.org>:
You have taken responsibility. (Mon, 06 Dec 2010 16:36:12 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Mon, 06 Dec 2010 16:36:12 GMT) Full text and rfc822 format available.

Message #26 received at 600466-close@bugs.debian.org (full text, mbox):

From: Guido Trotter <ultrotter@debian.org>
To: 600466-close@bugs.debian.org
Subject: Bug#600466: fixed in lxc 0.7.3-1
Date: Mon, 06 Dec 2010 16:32:58 +0000
Source: lxc
Source-Version: 0.7.3-1

We believe that the bug you reported is fixed in the latest version of
lxc, which is due to be installed in the Debian FTP archive:

lxc_0.7.3-1.debian.tar.gz
  to main/l/lxc/lxc_0.7.3-1.debian.tar.gz
lxc_0.7.3-1.dsc
  to main/l/lxc/lxc_0.7.3-1.dsc
lxc_0.7.3-1_amd64.deb
  to main/l/lxc/lxc_0.7.3-1_amd64.deb
lxc_0.7.3.orig.tar.gz
  to main/l/lxc/lxc_0.7.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600466@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Trotter <ultrotter@debian.org> (supplier of updated lxc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Dec 2010 16:24:31 +0100
Source: lxc
Binary: lxc
Architecture: source amd64
Version: 0.7.3-1
Distribution: unstable
Urgency: low
Maintainer: Guido Trotter <ultrotter@debian.org>
Changed-By: Guido Trotter <ultrotter@debian.org>
Description: 
 lxc        - Linux containers userspace tools
Closes: 597875 597998 600459 600464 600466 601001 601422 602631 604475
Changes: 
 lxc (0.7.3-1) unstable; urgency=low
 .
   * New upstream version (closes: #602631)
     - Support for specifying debian suite (closes: #600459)
     - Support for declaring a different architecture (closes: #597875)
   * Fix restart init.d action sequence (closes: #597998)
   * Move too-deep /usr/lib/lxc/lxc path to a proper patch
   * Disable checkroot script in debian template (closes: #601001)
   * Create missing tty devices under squeeze (closes: #600466)
   * Restore bindmount functionality in newer kernels (closes: #604475)
   * Make debian mirror configurable (closes: #601422)
   * Default to cdn.debian.net as a debian mirror (closes: #600464)
Checksums-Sha1: 
 62336227c7614c599bc118c016368dea3ee2fbd1 1095 lxc_0.7.3-1.dsc
 507f81d71ba963e6e9eb1b3cae6f6f5e103be9c2 269712 lxc_0.7.3.orig.tar.gz
 ebe3b59bb8b71470bf49d1f869e789c7a3d94d0d 7892 lxc_0.7.3-1.debian.tar.gz
 f27bc8e6f3dce81f6e943ddfe7f2565d8407b24f 148174 lxc_0.7.3-1_amd64.deb
Checksums-Sha256: 
 a480793dd0cfb6a00fb84ccef216d1ba40cd6d0f2c737fc2273d7de5d6d03b70 1095 lxc_0.7.3-1.dsc
 fa3b28cdb79b7c4735eaa8535dd014f94c8b7683d8ce2934d5836d241f48da09 269712 lxc_0.7.3.orig.tar.gz
 df48417d1739d43345b47dd7037e8c1ad1bb9f9f649bad3d7f5822318ba96539 7892 lxc_0.7.3-1.debian.tar.gz
 c60d8ffb3419a589fc98b1ad30bef45671f542743e39bd8123dbdeed1a643d1c 148174 lxc_0.7.3-1_amd64.deb
Files: 
 4dd157ed44f3b7a8467e03875660e21f 1095 admin optional lxc_0.7.3-1.dsc
 c12fb813362b37d783ca2c9551ccd716 269712 admin optional lxc_0.7.3.orig.tar.gz
 40c52b671e96611aa3ed5e223e85bae6 7892 admin optional lxc_0.7.3-1.debian.tar.gz
 b30c27e80e21c0b0ed6be751ccdd1e72 148174 admin optional lxc_0.7.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkz9DKIACgkQhImxTYgHUpvZiACfSebCbfMSrhNBn0ymtvBMzWhG
wSkAn29F2wyYB13301GF4jynFIlrCdzs
=edJN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:37:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:44:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.